use std::env;

// TODO: Make this better lol
pub struct Options {
    pub name: String,
    pub listen_addr: String,
    pub database_url: String,
    pub registration: bool,
    pub url: String,
    pub image_endpoint: String,
    pub asset_endpoint: String
}
pub trait Opt {
    fn get() -> Options;
}
impl Opt for Options {
    fn get() -> Options {
        Options {
            name: env::var("NAME").unwrap_or_else(|_| "CorrugatedCardboard".to_string()),
            listen_addr: env::var("HTTP_LISTEN_ADDR").unwrap_or_else(|_| "0.0.0.0:3926".to_string()),
            database_url: env::var("DATABASE_URL").expect("DATABASE_URL is required!"),
            registration: env::var("REGISTRATION").unwrap_or_else(|_| "false".to_string()).parse().unwrap(),
            url: env::var("URL").expect("URL is required!"),
            image_endpoint: env::var("IMAGE_ENDPOINT").expect("IMAGE_ENDPOINT is required!"),
            asset_endpoint: env::var("ASSET_ENDPOINT").expect("ASSET_ENDPOINT is required!"),
        }
    }
}